<script setup>
import { active_filter } from "~/directives/filter.js";

const props = defineProps({
  current_mode: {
    type: String,
    required: false,
  }
});

const has_active_filters = ref(false);
const shall_display_filters = ref(false);

watch(active_filter, () => {
  has_active_filters.value = active_filter.isActive();
});

function toggleFilters() {
  shall_display_filters.value = !shall_display_filters.value;
}


function handleFilterEmit() {
  shall_display_filters.value = false;
}

const route = useRoute();
const mapTo = computed(() => ({ path: '/map', query: route.query }))
const galleryTo = computed(() => ({ path: '/gallery', query: route.query }))

</script>
<template>
  <FiltersMenu v-if="shall_display_filters" @filter="handleFilterEmit" />
  <!-- Tablet/mobile nav -->
  <nav class="flex 2xl:hidden w-full flex-col gap-5 p-5 justify-start items-center">
    <div class="flex flex-row flex-wrap items-center gap-2">
      <MenuLink v-if="current_mode == 'map'" :to="galleryTo" img-src="/images/galery.svg" />
      <MenuLink v-else :to="mapTo" img-src="/images/map.svg" />
      <MenuLink to="" @click="toggleFilters" img-src="/images/filter.svg" />
      <MenuLink to="/event" img-src="/images/orange_plus.svg" />
    </div>
    <MenuFilterBadgesGroup />
  </nav>
  <!-- Desktop nav -->
  <nav class="hidden 2xl:flex w-full flex-col gap-5 p-2 max-w-[300px] justify-start items-center">
    <div class="flex flex-row flex-wrap items-center gap-2 xl:items-start">
      <MenuLink v-if="current_mode == 'map'" :to="galleryTo" label="Mode Galerie" img-src="/images/galery.svg" />
      <MenuLink v-else :to="mapTo" label="Mode Carte" img-src="/images/map.svg" />
      <MenuLink to="" @click="toggleFilters" label="Filtrer par" img-src="/images/filter.svg" class="cursor-pointer"
        :span-label-classes="{
          'flex underline decoration-las-orange underline-offset-8 decoration-8':
            has_active_filters,
          'hidden xl:flex':
            !has_active_filters,
        }" />
      <MenuLink to="/event" label="Déposer évènement" img-src="/images/orange_plus.svg" />
    </div>
    <MenuFilterBadgesGroup />
    <div class="hidden w-full h-[460px] bg-las-image-2 bg-bottom bg-no-repeat 2xl:flex" />
  </nav>
</template>
